Bug 1458489 - Crawl doesn't save progress corectly
Summary: Crawl doesn't save progress corectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: crawl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-03 11:37 UTC by buzire.rhn
Modified: 2017-07-30 16:53 UTC (History)
2 users (show)

Fixed In Version: crawl-0.20.0-1.fc26 crawl-0.20.0-1.fc24 crawl-0.20.0-1.fc25 crawl-0.20.1-2.fc26 crawl-0.20.1-2.fc24 crawl-0.20.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-11 20:54:49 UTC
Type: Bug


Attachments (Terms of Use)

Description buzire.rhn 2017-06-03 11:37:02 UTC
Description of problem:
Handling of persistent data is very broken. Bones files are not saved and character deaths are not saved.

Version-Release number of selected component (if applicable):
crawl-0.19.5-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start a game
2. Die
3. Start the program again

Actual results:
Last character unavailable; high scores updated

Expected results:
Last character available; high scores empty

Additional info:
This problem seems to be related to directory permissions.

Comment 1 Antonio T. (sagitter) 2017-06-03 13:57:50 UTC
Please, try this new build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19821684

Comment 2 buzire.rhn 2017-06-03 14:14:32 UTC
I can't seem to install this one:

sudo dnf install crawl*rpm
Last metadata expiration check: 0:02:46 ago on Sat Jun  3 16:09:22 2017.
Dependencies resolved.
=============================================================================
 Package               Arch       Version             Repository        Size
=============================================================================
Installing:
 compat-lua-libs       x86_64     5.1.5-5.fc24        fedora           163 k
 crawl                 x86_64     0.19.5-3.fc24       @commandline     3.7 M
 crawl-common-data     noarch     0.19.5-3.fc24       @commandline     2.2 M
 crawl-tiles           x86_64     0.19.5-3.fc24       @commandline     3.9 M
 crawl-tiles-data      noarch     0.19.5-3.fc24       @commandline     5.0 M

Transaction Summary
=============================================================================
Install  5 Packages

Total size: 15 M
Total download size: 163 k
Installed size: 35 M
Is this ok [y/N]: y
Downloading Packages:
compat-lua-libs-5.1.5-5.fc24.x86_64.rpm      522 kB/s | 163 kB     00:00    
-----------------------------------------------------------------------------
Total                                        224 kB/s | 163 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/crawl/dat conflicts between attempted installs of crawl-tiles-data-0.19.5-3.fc24.noarch and crawl-common-data-0.19.5-3.fc24.noarch


This is funny - in the previous version there was no conflict despite double ownership:

$ rpm -qf /usr/share/crawl/dat
crawl-common-data-0.19.5-1.fc24.noarch
crawl-tiles-data-0.19.5-1.fc24.noarch

Comment 3 Antonio T. (sagitter) 2017-06-03 16:07:38 UTC
Ops! Sorry, my bad.

This one: https://koji.fedoraproject.org/koji/taskinfo?taskID=19823378

Comment 4 buzire.rhn 2017-06-03 16:33:51 UTC
This package installs, but has the same problem:

# crawl-tiles 
failed to open score file for writing: Permission denied

Comment 5 Antonio T. (sagitter) 2017-06-06 10:30:54 UTC
I hope my change works; try this build https://koji.fedoraproject.org/koji/taskinfo?taskID=19881160.

(In reply to buzire.rhn from comment #4)
> This package installs, but has the same problem:
> 
> # crawl-tiles 
> failed to open score file for writing: Permission denied

Are you starting Crawl as root?

Comment 6 buzire.rhn 2017-06-06 14:48:59 UTC
No, of course not :)

Comment 7 Antonio T. (sagitter) 2017-06-06 16:42:12 UTC
(In reply to Antonio Trande from comment #5)
> I hope my change works; try this build
> https://koji.fedoraproject.org/koji/taskinfo?taskID=19881160.
>

Comment 8 buzire.rhn 2017-06-06 18:27:46 UTC
Sorry for missing that.

The result:

$ crawl-tiles 
failed to open score file for writing: Permission denied

Comment 9 Antonio T. (sagitter) 2017-06-06 19:29:51 UTC
(In reply to buzire.rhn from comment #8)
> Sorry for missing that.
> 
> The result:
> 
> $ crawl-tiles 
> failed to open score file for writing: Permission denied

It's strange, it does not happen to me.
Install RPMs from https://koji.fedoraproject.org/koji/taskinfo?taskID=19881160, make sure 'crawl' group exists and your user is member of the group 'crawl'.

Comment 10 buzire.rhn 2017-06-06 20:57:09 UTC
When installing only crawl-tiles and dependencies:

$ sudo usermod -a -G crawl rhn
[sudo] password for rhn: 
usermod: group 'crawl' does not exist

After installing crawl and adding group:

$ groups
rhn crawl wireshark
[rhn@movable ~]$ crawl-tiles 
Bones directory "/usr/share/crawl/dat/bones/" does not exist and I can't create it.
Bones directory "/usr/share/crawl/dat/bones/" does not exist and I can't create it.
Bones directory "/usr/share/crawl/dat/bones/" does not exist and I can't create it.
failed to open score file for writing: Permission denied

Comment 11 Antonio T. (sagitter) 2017-06-07 20:53:12 UTC
Update to 0.20.0: https://koji.fedoraproject.org/koji/taskinfo?taskID=19902875

Does it work?

Comment 12 buzire.rhn 2017-06-07 22:30:58 UTC
No, unfortunately still the same:

$ crawl-tiles 
failed to open score file for writing: Permission denied

Maybe the paths are wrong? /usr/share/crawl seems improper for save files - I have an impression that it should be in /var somewhere (but I may be wrong).

Comment 13 Antonio T. (sagitter) 2017-06-08 08:47:43 UTC
Please, post the output of 

ls -Rl /usr/share/crawl

(use https://paste.fedoraproject.org/)

Comment 15 Fedora Update System 2017-06-12 18:55:57 UTC
crawl-0.20.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cde4c213b

Comment 16 Fedora Update System 2017-06-12 18:56:11 UTC
crawl-0.20.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5ca96c6b3

Comment 17 Fedora Update System 2017-06-12 18:56:20 UTC
crawl-0.20.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac3633b0a3

Comment 18 Fedora Update System 2017-06-14 01:36:52 UTC
crawl-0.20.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac3633b0a3

Comment 19 Fedora Update System 2017-06-14 08:27:03 UTC
crawl-0.20.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5ca96c6b3

Comment 20 Fedora Update System 2017-06-14 08:28:40 UTC
crawl-0.20.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cde4c213b

Comment 21 Fedora Update System 2017-06-17 19:42:54 UTC
crawl-0.20.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-06-22 20:23:37 UTC
crawl-0.20.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-23 01:55:40 UTC
crawl-0.20.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 buzire.rhn 2017-06-23 17:46:41 UTC
The version uploaded to the testing repository still has the same problem on my system (fc24).

Comment 25 Marc 2017-06-25 09:55:15 UTC
I've upgraded to craw-0.20.0-1 on Fedora 25 and I still get the error when I get killed:

"failed to open score file for writing: Permission denied"

Comment 26 Antonio T. (sagitter) 2017-06-28 18:37:18 UTC
Please, make a backup of your Crawl directories in home 

$ mv $HOME/.crawl/morgue $HOME/.crawl/morgue.backup
$ mv $HOME/.crawl/saves $HOME/.crawl/saves.backup

and try this new build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20225942

Comment 27 Fedora Update System 2017-07-02 17:43:44 UTC
crawl-0.20.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1da029d8ac

Comment 28 buzire.rhn 2017-07-02 18:07:02 UTC
The immediate problem is fixed - with `crawl-tiles` after dying, the welcome screen shows.

Note that:
- I added my user to `crawl` group
- I installed `crawl`, which is *not* a dependency of `crawl-tiles``, but which seems to create the `crawl` group

Comment 29 Antonio T. (sagitter) 2017-07-02 18:15:53 UTC
(In reply to buzire.rhn from comment #28)
> The immediate problem is fixed - with `crawl-tiles` after dying, the welcome
> screen shows.

Are  you using crawl-0.20.1-1?

> 
> Note that:
> - I added my user to `crawl` group
> - I installed `crawl`, which is *not* a dependency of `crawl-tiles``, but
> which seems to create the `crawl` group

Try without being a 'crawl' group member please.

Comment 30 Fedora Update System 2017-07-02 20:11:14 UTC
crawl-0.20.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1aa99a052

Comment 31 Fedora Update System 2017-07-03 05:18:46 UTC
crawl-0.20.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d58fcfc99b

Comment 32 Fedora Update System 2017-07-03 05:20:07 UTC
crawl-0.20.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-515afdb82d

Comment 33 Fedora Update System 2017-07-03 18:24:32 UTC
crawl-0.20.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1aa99a052

Comment 34 Fedora Update System 2017-07-11 20:54:49 UTC
crawl-0.20.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2017-07-12 01:51:18 UTC
crawl-0.20.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-07-12 03:23:01 UTC
crawl-0.20.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 buzire.rhn 2017-07-30 16:53:43 UTC
$ rpm -q crawl
crawl-0.20.1-2.fc25.x86_64
$ groups
rhn wireshark vultures

Crawl saves progress now, thank you!


Note You need to log in before you can comment on or make changes to this bug.